Bug 141783 - (IT_56157) domain validation fails on DVD-305 when CD in drive
domain validation fails on DVD-305 when CD in drive
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
http://marc.theaimsgroup.com/?l=linux...
:
Depends On:
Blocks: 145461 154907 156322
  Show dependency treegraph
 
Reported: 2004-12-03 13:59 EST by Matthew Wilcox
Modified: 2007-11-30 17:07 EST (History)
13 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Wilcox 2004-12-03 13:59:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0 (Debian package 1.0-2)

Description of problem:
The DVD-ROM shipping in the rx8620 (among other boxes) has a bug which
prevents domain validation from working correctly (error messages below).

We've done some debugging and the drive is definitely breaking the
spec.  We're working on a solution to blacklist this drive now.  This
is not a Red Hat specific bug.


How reproducible:
Always

Steps to Reproduce:
1. Boot on an rx8620 with a CD in the drive.

Additional info:

scsi(1:0:2:0): Domain Validation detected failure, dropping back
scsi(1:0:2:0): Domain Validation detected failure, dropping back
scsi(1:0:2:0): Domain Validation detected failure, dropping back
scsi(1:0:2:0): Domain Validation detected failure, dropping back
scsi(1:0:2:0): Domain Validation detected failure, dropping back
scsi(1:0:2:0): Domain Validation detected failure, dropping back
scsi(1:0:2:0): Domain Validation Failure, dropping back to Asynchronous
Comment 1 Matthew Wilcox 2004-12-03 16:01:54 EST
Adding a URL for the discussion of my proposed patch on the linux-scsi
list
Comment 3 Matthew Wilcox 2004-12-07 11:48:43 EST
James has accepted the latest patch in that thread:
http://marc.theaimsgroup.com/?l=linux-scsi&m=110236673610371&w=2
Comment 4 Matthew Wilcox 2004-12-10 14:37:05 EST
Patch is merged into Linus' tree:
http://linux.bkbits.net:8080/linux-2.6/cset@41b5de19WErWz4YA4iSYsanfLMtpzg
Comment 6 Rick Hester 2005-02-03 13:44:19 EST
So, when may we expect to see this in RHEL4?
Comment 8 Chris Williams 2005-03-02 16:57:43 EST
(from Matthew Wilcox)  The patch was taken into Linus' tree over 2 months ago
and has seen no problem reports..  Effectively, it blacklists all drives that
don't support PPR from attemption the write portion of DV.  James Bottomley has
signed off on it.

This is a small, low-risk change.  The set of devices affected by this are:
* those that do not claim to support PPR
* AND claim to have write buffers

This is *supposed* to be the null set.  HP's DVD drive is the only device I've
heard of that claims write buffers without setting PPR

* AND are attached to a controller driven by smb53c8xx_2, 53c700 or ncr53c8xx

These are the only drivers currently using this DV code.
Comment 11 Rick Hester 2005-04-04 18:21:27 EDT
Have encountered the problem with RHEL4 U1 Beta on a Superdome.
So add that to the list of impacted platforms.

I was really hoping htat this would have been patched in the RHEL4U1 Beta.
Comment 12 Doug Ledford 2005-04-05 10:56:49 EDT
The patch looks fine to me and meets my approval, I'll forward for internal
review/inclusion.  It will probably make U2.
Comment 15 Doug Ledford 2005-06-17 15:26:06 EDT
The patch has been included in the current U2 source base.  Changing state to
modified.
Comment 22 Red Hat Bugzilla 2005-10-05 08:34:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.